<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Form Submit Demo</title>
</head>

<body>
    <h1>Palun täida vorm</h1>
    <form action="https://frogaccelerator.com/submit-app/" method="POST" enctype="multipart/form-data">
        Eesnimi:<br>
        <input type="text" name="firstName" required minlength="2" maxlength="25"><br><br>
        Perenimi: <br>
        <input type="text" name="lastName" required minlength="3" maxlength="25"><br><br>
        Sugu: <br>
        <select name="gender" required>
            <option value="">SUGU</option>
            <option value="M">Mees</option>
            <option value="F">Naine</option>
        </select>
        <br><br>
        Sünniaeg: <br>
        <input type="date" name="dateOfBirth" value="" required><br><br>
        Perekonnaseis: <br>
        <input type="radio" name="maritalStatus" value="single" id="maritalStatusSingle" required>
        <label for="maritalStatusSingle">Vallaline</label>
        <br>
        <input type="radio" name="maritalStatus" value="married" id="maritalStatusMarried">
        <label for="maritalStatusMarried">Abielus</label>
        <br>
        <input type="radio" name="maritalStatus" value="committed" id="maritalStatusCommitted">
        <label for="maritalStatusCommitted">Vabaabielus</label>
        <br>
        E-post: <br>
        <input type="email" name="email" required><br><br>
        Parool: <br>
        <input type="password" name="password" required><br><br>
        Hobid:<br>
        <input type="checkbox" name="hobbies[]" id="hobbiesRunning" value="running">
        <label for="hobbiesRunning">Jooksmine</label>
        <br>
        <input type="checkbox" name="hobbies[]" id="hobbiesCycling" value="cycling">
        <label for="hobbiesCycling">Jalgrattasõit</label>
        <br>
        <input type="checkbox" name="hobbies[]" id="hobbiesHiking" value="hiking">
        <label for="hobbiesHiking">Matkamine</label>
        <br>
        Külastatud välisriigid: <br>
        <input type="number" name="numberOfVisitedCountries" required min="1" max="200" pattern="\d\d\d"><br><br>
        Foto: <br>
        <input type="file" name="photo"><br><br>

        <button type="submit">Saada andmed</button>
        <button type="reset">Tühjenda väljad</button>
    </form>
</body>

</html>